var Cache = function(conf){
	var config = new CacheConfig(conf);
	this.add = add;
		
	function add(file, key){
		if(file.exists()){
			var fileSize = file.fileSize;
			var baseDir = config.getCacheDir()
			dump("Filesize: "+ fileSize + " Cachesize: " + config.getCacheSize() +"\n");
			file.moveTo(baseDir, file.leafName);
			newUri = getFileUri(baseDir, file.leafName);
			//cache[key] = newUri.spec;
			config.add(key, file.leafName, fileSize);
			dump("Saved " + key+ " to cache as "+newUri.spec+"\n");
		}else{
			dump("Error saving " + key + " to cache");
		}
	}
	
	this.clearOldkeys = function(newkeys){
		config.clearOldKeys(newkeys);
	}
		
	this.clean = function(){
		config.cleanCache();
	}
	
	this.exists = function(key){
		if(config.getObject(key)){
			return true;
		}
	
	}
	
	this.get = function(key){
		return config.getObject(key);
	}
	
}

