

var setPrivileges = function(){
	const safe_hosts = "http://localhost";
	
		var prefs = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService);
		var caps=prefs.getBranch("capability.policy.").QueryInterface(Components.interfaces.nsIPrefBranchInternal);
		dump("setPrivileges " + prefs + "," + caps +"\n");
		var policies;
		try{
			policies = caps.getCharPref("policynames");
		}catch(e){
			policies = "";
		}
		dump("Current policies: "+policies +"\n");
		if(policies && policies.length >0){
			if(policies.indexOf("loadfilelinks")==-1){
				caps.setCharPref("policynames", policies +" loadfilelinks");
			}
		}else{
			caps.setCharPref("policynames", "loadfilelinks");
		}
		var capBranch=prefs.getBranch("capability.policy.loadfilelinks.").QueryInterface(Components.interfaces.nsIPrefBranchInternal);
		capBranch.setCharPref("sites", safe_hosts);
		capBranch.setCharPref("checkloaduri.enabled", "allAccess");
		
		var policies = caps.getCharPref("policynames");
		dump("New policies: "+policies +"\n");
		
		prefs.savePrefFile(null);
		
};
