
function ScriptInjector(mf){

	this.mefeedia = mf;
	var config = mf.config;
	var cache  = mf.cache;
	var thisObj = this;
	var navWindows = new Array();
	
	this.contentLoad = function(e){
		var href = e.target.location.href;
		var win = e.target.defaultView;
		dump("content loaded "+href+"\n");
		if(href.match(new RegExp("^" + config.demoUrl, "i"))){
			doDemoInjection(win);
		}
		else if(href.match(new RegExp("^" + config.videoUrl, "i"))){
			doVideoInjection(win);
		}
		else if(href.match(new RegExp("^" + config.navUrl, "i"))){
			this.doNavInjection(win);
		}
	}
	
	var doDemoInjection = function(win){
		dump("Injecting \n");
		var document = win.document;
		var element = document.getElementById("demo");
		var domObject = document.createElement("div");
		domObject.innerHTML = "Podcache running<br/>";
		if(element){
			element.parentNode.replaceChild(domObject, element);
		}else{
			document.body.appendChild(domObject);
		}
	}
	
	var doVideoInjection = function(win){//TODO
		dump("Injecting \n");
		var doc = win.document;
		var elements = doc.getElementsByName("movieObject");
		dump("Elements: " + elements + " "+elements.length+"\n");
		for(var i=0;i<elements.length; i++){
			var el = elements[i];
			var id = el.id;
			var cacheObject = cache.get(id);
			if(cacheObject && !cacheObject.deleted){
				var div = doc.createElement("div");
				div.style.border="2px solid";
				div.style.borderColor="#0000ff";
				div.style.width = el.width;
				div.style.height = el.height;
				var domObject = el.cloneNode(true);
				domObject.data = cacheObject.getUrl();
				div.appendChild(domObject);
				el.parentNode.replaceChild(div, el);		
			}
		}
				
	}
	
	this.doNavInjection = function(win){
		//var idx = navWindows.push(win)-1;
		dump("Injecting navWindow " + 0 + "\n");
		//GM_listen(win, "unload", GM_hitch(thisObj, "removeNav", idx));
		var doc = win.document;
		win.setTimeout(GM_hitch(this, "doNavInjection", win), 3000);
		var elements = doc.getElementsByName("podcached");
		dump("Elements: " + elements + " "+elements.length+"\n");
		for(var i=0;i<elements.length; i++){
			var el = elements[i];
			var id = el.id;
			if(this.mefeedia.currentDownload  && this.mefeedia.currentDownload == id){
				var progress = this.mefeedia.currentDownloadProgress;
				el.style.backgroundColor = "#3333ff";
				el.style.color = "#ffffff";
				var curProgress = new Number(progress.curProgress/1024).toFixed(0);
				var maxProgress = new Number(progress.maxProgress/1024).toFixed(0);
				var avgSpeed= (new Number(progress.avgSpeed)).toFixed(2);
				var eta = (new Number((progress.eta - Date.now())/1000)).toFixed(0)
				el.innerHTML=""+curProgress + "/" + maxProgress+ " @ "+ avgSpeed + "kB/s ETA:" + eta + "s";
			}else{
				var cacheObject = cache.get(id);
				//var cacheFile = cacheObject.getUrl();
				if(cacheObject){
					//dump("Injecting for " + cacheObject.key + ":" + cacheObject.deleted + "\n");
					if(!cacheObject.deleted){
						el.style.backgroundColor = "#33ff33";
						el.style.color = "#ffffff";
						el.innerHTML="podcached";
					}else{
						el.style.backgroundColor = "#ff3333";
						el.style.color = "#ffffff";
						el.innerHTML="expired";
					}
				}else{
					dump("ID: " + id + " not in cache");
					el.style.backgroundColor = "#ff3333";
					el.style.color = "#ffffff";
					el.innerHTML="not podcached";
				}
			}
		}
	}
	
	
	this.removeNav = function(idx){
		dump("removing navWindow " + idx + "\n");
		//this.navWindows = navWindows.splice(idx, 1);
	}
		
	
}