const CLASSNAME = "PodcacheService";
const CONTRACTID = "@podcache.freegarethandrew.org/podcache-service;1";
const CID = Components.ID("{4207ae87-2d6a-411f-9122-bf96f64cf503}");
const ifaces = Components.interfaces;

dump("podcache.js\n");

var PodcacheService = function(){};

PodcacheService.prototype = {

   // nsISupports
  QueryInterface: function(aIID) {
    if (!aIID.equals(ifaces.nsISupports) &&
        !aIID.equals(ifaces.IPodcacheService))
      throw Components.results.NS_ERROR_NO_INTERFACE;

    return this;
  },
  
  registerBrowser:function(win) {
       dump("registering window\n");
	if(!this.started){
		dump("not started.. starting\n");
		this.startup();
	}
  	GM_listen(win, "load", GM_hitch(this.mefeedia, "chromeLoad", win));
	GM_listen(win, "unload", GM_hitch(this.mefeedia, "chromeUnload", win));
  },
  
  startup: function() {
       dump("podcache startup!!! \n");
       this.started = true;
    
	var loader = Components.classes["@mozilla.org/moz/jssubscript-loader;1"]
              .getService(Components.interfaces.mozIJSSubScriptLoader);
	loader.loadSubScript("chrome://mefeedia/content/util.js");
	loader.loadSubScript("chrome://mefeedia/content/security.js");
	loader.loadSubScript("chrome://mefeedia/content/scriptinjector.js");
	loader.loadSubScript("chrome://mefeedia/content/downloadQueue.js");
	loader.loadSubScript("chrome://mefeedia/content/downloader.js");
	loader.loadSubScript("chrome://mefeedia/content/config.js");
	loader.loadSubScript("chrome://mefeedia/content/cacheobject.js");
	loader.loadSubScript("chrome://mefeedia/content/cacheconfig.js");
	loader.loadSubScript("chrome://mefeedia/content/cache.js");
	loader.loadSubScript("chrome://mefeedia/content/mefeedia.js");
	
	this.mefeedia = new Mefeedia();
	this.mefeedia.init();
  }
};
  
  var Module = new Object();

Module.registerSelf = function(compMgr, fileSpec, location, type) {
	dump("Module registered\n");
  compMgr = compMgr.QueryInterface(Components.interfaces.nsIComponentRegistrar);
  compMgr.registerFactoryLocation(CID,
                                  CLASSNAME,
                                  CONTRACTID,
                                  fileSpec,
                                  location,
                                  type);

  var catMgr = Components.classes["@mozilla.org/categorymanager;1"]
                         .getService(ifaces.nsICategoryManager);

  catMgr.addCategoryEntry("http-startup-category",
                          CLASSNAME,
                          CONTRACTID,
                          true,
                          true);
}

Module.getClassObject = function(compMgr, cid, iid) {
  if (!cid.equals(CID)) {
    throw Components.results.NS_ERROR_NOT_IMPLEMENTED;
  }
  
  if (!iid.equals(Components.interfaces.nsIFactory)) {
    throw Components.results.NS_ERROR_NO_INTERFACE;
  }

  return Factory;
}

Module.canUnload = function(compMgr) {
  return true;
}

var podcache = new PodcacheService();

var Factory = new Object();

Factory.createInstance = function(outer, iid) {
	dump("Factory createInstance!!!  podcache: "+podcache+ " [" +podcache.startup + "]\n")
  if (outer != null) {
    throw Components.results.NS_ERROR_NO_AGGREGATION;
  }
	return podcache;
}


function NSGetModule(compMgr, fileSpec) {
  return Module;
}